Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231075 - xsane segfaults when attempting to scan
Summary: xsane segfaults when attempting to scan
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xsane
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-05 22:41 UTC by Jay Fenlason
Modified: 2014-08-31 23:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-25 16:04:38 UTC


Attachments (Terms of Use)
Patch that prevents segfault (deleted)
2007-03-05 22:41 UTC, Jay Fenlason
no flags Details | Diff

Description Jay Fenlason 2007-03-05 22:41:13 UTC
Description of problem: 
When I hit the "Scan" button in xsane, it segfaults.   
 
Version-Release number of selected component (if applicable): 
xsane-0.993-1.fc7 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1.Start xsane 
2.Hit the preview button (probably not actually required) 
3.Hit the scan button. 
   
Actual results: 
Segfault 
 
Expected results: 
An actual scan 
 
Additional info: 
The scanner is an Epson Perfection 4990 PHOTO, attached via either USB or 
FireWire. 
 
The attached patch prevents the segfault and allows me to scan.

Comment 1 Jay Fenlason 2007-03-05 22:41:13 UTC
Created attachment 149301 [details]
Patch that prevents segfault

Comment 2 Nils Philippsen 2007-04-25 15:50:43 UTC
I just checked the sources of version 0.994 and this seems to avoid strncpy()ing
a NULL pointer. Can you please check it with the current xsane package?

Comment 3 Jay Fenlason 2007-04-25 16:04:38 UTC
0.994 in rawhide scans OK.


Note You need to log in before you can comment on or make changes to this bug.